| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Macros | Functions | Variables
FXLC95000_2 module documentation

## Macros
#define | FSL_SENSOR_SPI_CMD_LENG 0x1
#define | FXLC95000_2_DATA_TYPE fxlc95000_DataBuffer_t
#define | FXLC95000_2_SAMPLE_OFFSET (16)
#define | FXLC95000_2_SAMPLE_SIZE (10)
#define | FXLC95000_2_CONFIG_REGISTER_CMD_OFFSET (0)
#define | FXLC95000_2_CONFIG_REGISTER_READ_OFFSET (4)
#define | FXLC95000_2_CONFIG_REGISTER_SIZE (sizeof(fxlc95000_appConfigRegister_t))
#define | FXLC95000_2_ACC_FLOAT_CONVERSION_FACTOR (0.000061035156)
#define | FXLC95000_2_ACC_ACCEL_RANGE_2G (0x40)
#define | FXLC95000_2_ACC_ACCEL_RANGE_4G (0x80)
#define | FXLC95000_2_ACC_ACCEL_RANGE_8G (0xC0)
#define | FXLC95000_2_ACC_MODE_ACCEL_ONLY (0x00)
#define | FXLC95000_2_ACC_ACCEL_RESOLUTION_16_BIT (0x00)

## Functions
isf_status_t | fsl_95000_spi_slave_init (void)
isf_status_t | fsl_95000_spi_slave_write_preprocess (void *pCmdOut, uint32 offset, uint32 size, void *pWritebuffer)
isf_status_t | fsl_95000_spi_slave_write_postprocess (void *pCmdOut)
isf_status_t | fsl_95000_spi_slave_read_preprocess (void *pCmdOut, uint32 offset, uint32 size)
isf_status_t | fsl_95000_spi_slave_read_postprocess (void *pCmdOut, void *pDataOut)

## Variables
uint8 | FXLC95000_2_ConfigRegisterBuffer [FXLC95000_2_CONFIG_REGISTER_SIZE]
const uint8 const | BootToFlash [] = { 0x29, 0x00, 0xFF, 0xFF, 0xFF, 0xFF }
const uint8 const | ConfigureMBoxCmd1 [] = { 0x01, 0x02, 0x18, 0x14, 0x02, 0x03, 0x02, 0x02, 0x02, 0x01, 0x02, 0x00, 0x02, 0x05, 0x02, 0x04, 0x02, 0x07, 0x02, 0x06, 0x02, 0x09, 0x02, 0x08 }
const uint8 const | ReadConfigRegistersCmd [] = { 0x02, 0x01, FXLC95000_2_CONFIG_REGISTER_CMD_OFFSET, FXLC95000_2_CONFIG_REGISTER_SIZE }
const uint8 const | QuickReadInterruptEnable [] = { 0x01, 0x02, 0x39, 0x01, 0x03 }
const uint8 const | QuickReadInterruptDisable [] = { 0x01, 0x02, 0x39, 0x01, 0x02 }
const uint8 const | StartDataCmd [] = { 0x02, 0x02, 0x00, 0x01, 0x52 }
const uint8 const | EndDataCmd [] = { 0x02, 0x02, 0x00, 0x01, 0x51 }
const uint8 const | ShutdownCmd [] = { 0x02, 0x02, 0x00, 0x01, 0x50 }
const uint8 const | ConfigWritePreamble [] = { 0x02, 0x02, FXLC95000_2_CONFIG_REGISTER_CMD_OFFSET, FXLC95000_2_CONFIG_REGISTER_SIZE }
const uint8 const | UnprotectFlash [] = { 0x40, 0x00 }
const uint8 const | EraseMainFlashArray [] = { 0x12, 0xC5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF }
const uint8 const | ProtectFlash [] = { 0x38, 0x00 }
const fxlc95000_Command_t const | InitializeSequence []
const fxlc95000_Command_t const | ReadConfigRegistersSequence []
const fxlc95000_Command_t const | ConfigureSequence []
const fxlc95000_Command_t const | StartDataSequence []
const fxlc95000_Command_t const | EndDataSequence []
const fxlc95000_Command_t const | ShutdownSequence []
const fxlc95000_Command_t const | WriteConfigPreambleSequence []
const fxlc95000_Command_t const | FlashPreprocessSequence []
const fxlc95000_Command_t const | FlashPostprocessSequence []
fxlc95000_Sensor_Specific_Settings_t | FXLC95000_2_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const isf_dsa_Adapter_t | FXLC95000_2_Adapter
| This creates the sensor adapter instance for the target sensor. More...
spi_master_slaveInfo_t | fsl_spi_sensor_type_FXLC95000_2
const spi_master_CommSpecificInfo_t | FXLC95000_2_DeviceInfo
| This allows access to the sensor communications specific configuration. More...
fxlc95000_Sensor_Specific_Settings_t | FXLC95000_2_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const isf_dsa_Adapter_t | FXLC95000_2_Adapter
| This allows access to the sensor adapter instance for the target sensor. More...
const spi_master_CommSpecificInfo_t | FXLC95000_2_DeviceInfo
| This allows access to the sensor communications specific configuration. More...

## Detailed Description

## Macro Definition Documentation

#define FSL_SENSOR_SPI_CMD_LENG 0x1

Definition at line 205 of file FXLC95000_2.c.

Referenced by fsl_95000_spi_slave_read_postprocess(), fsl_95000_spi_slave_read_preprocess(), and fsl_95000_spi_slave_write_preprocess().

#define FXLC95000_2_ACC_ACCEL_RANGE_2G (0x40)

Definition at line 65 of file FXLC95000_2.h.

#define FXLC95000_2_ACC_ACCEL_RANGE_4G (0x80)

Definition at line 66 of file FXLC95000_2.h.

#define FXLC95000_2_ACC_ACCEL_RANGE_8G (0xC0)

Definition at line 67 of file FXLC95000_2.h.

#define FXLC95000_2_ACC_ACCEL_RESOLUTION_16_BIT (0x00)

Definition at line 69 of file FXLC95000_2.h.

#define FXLC95000_2_ACC_FLOAT_CONVERSION_FACTOR (0.000061035156)

Definition at line 64 of file FXLC95000_2.h.

#define FXLC95000_2_ACC_MODE_ACCEL_ONLY (0x00)

Definition at line 68 of file FXLC95000_2.h.

#define FXLC95000_2_CONFIG_REGISTER_CMD_OFFSET (0)

Definition at line 60 of file FXLC95000_2.h.

#define FXLC95000_2_CONFIG_REGISTER_READ_OFFSET (4)

Definition at line 61 of file FXLC95000_2.h.

#define FXLC95000_2_CONFIG_REGISTER_SIZE (sizeof(fxlc95000_appConfigRegister_t))

Definition at line 62 of file FXLC95000_2.h.

#define FXLC95000_2_DATA_TYPE fxlc95000_DataBuffer_t

Definition at line 57 of file FXLC95000_2.h.

#define FXLC95000_2_SAMPLE_OFFSET (16)

Definition at line 58 of file FXLC95000_2.h.

#define FXLC95000_2_SAMPLE_SIZE (10)

Definition at line 59 of file FXLC95000_2.h.

## Function Documentation

isf_status_t fsl_95000_spi_slave_init | ( | void |  | ) |

Definition at line 244 of file FXLC95000_2.c.

References ChipSelect_OutConfig0, ISF_SUCCESS, J1_10, J1_11, ResetSensor_OutConfig0, and SPISelect_OutConfig0.

isf_status_t fsl_95000_spi_slave_read_postprocess | ( | void * | pCmdOut,
|  | void * | pDataOut
| ) |  |

Definition at line 315 of file FXLC95000_2.c.

References FSL_SENSOR_SPI_CMD_LENG, ISF_MEM_CPY, ISF_SUCCESS, J1_13, spi_mater_SlaveCmd::pReadBuffer, and spi_mater_SlaveCmd::size.

isf_status_t fsl_95000_spi_slave_read_preprocess | ( | void * | pCmdOut,
|  | uint32 | offset,
|  | uint32 | size
| ) |  |

Definition at line 294 of file FXLC95000_2.c.

References FSL_SENSOR_SPI_CMD_LENG, ISF_SUCCESS, J1_13, spi_mater_SlaveCmd::pReadBuffer, spi_mater_SlaveCmd::pWriteBuffer, and spi_mater_SlaveCmd::size.

isf_status_t fsl_95000_spi_slave_write_postprocess | ( | void * | pCmdOut | ) |

Definition at line 286 of file FXLC95000_2.c.

References ISF_SUCCESS, and J1_13.

isf_status_t fsl_95000_spi_slave_write_preprocess | ( | void * | pCmdOut,
|  | uint32 | offset,
|  | uint32 | size,
|  | void * | pWritebuffer
| ) |  |

Definition at line 262 of file FXLC95000_2.c.

References FSL_SENSOR_SPI_CMD_LENG, ISF_MEM_CPY, ISF_SUCCESS, J1_13, spi_mater_SlaveCmd::pReadBuffer, spi_mater_SlaveCmd::pWriteBuffer, and spi_mater_SlaveCmd::size.

## Variable Documentation

const uint8 const BootToFlash[] = { 0x29, 0x00, 0xFF, 0xFF, 0xFF, 0xFF }

Definition at line 52 of file FXLC95000_2.c.

const uint8 const ConfigureMBoxCmd1[] = { 0x01, 0x02, 0x18, 0x14, 0x02, 0x03, 0x02, 0x02, 0x02, 0x01, 0x02, 0x00, 0x02, 0x05, 0x02, 0x04, 0x02, 0x07, 0x02, 0x06, 0x02, 0x09, 0x02, 0x08 }

Definition at line 53 of file FXLC95000_2.c.

const fxlc95000_Command_t const ConfigureSequence[]

Initial value:
=
{
{
.offset = 0,
.nByteWrite = sizeof(ConfigureMBoxCmd1),
.pWriteBuffer = (uint8* const)&ConfigureMBoxCmd1
},
{
.offset = 0,
.nByteWrite = sizeof(QuickReadInterruptEnable),
.pWriteBuffer = (uint8* const)&QuickReadInterruptEnable
}
}
uint8
unsigned char uint8
Definition: isf_types.h:76
ConfigureMBoxCmd1
const uint8 const ConfigureMBoxCmd1[]
Definition: FXLC95000_2.c:53
QuickReadInterruptEnable
const uint8 const QuickReadInterruptEnable[]
Definition: FXLC95000_2.c:55

Definition at line 83 of file FXLC95000_2.c.

const uint8 const ConfigWritePreamble[] = { 0x02, 0x02, FXLC95000_2_CONFIG_REGISTER_CMD_OFFSET, FXLC95000_2_CONFIG_REGISTER_SIZE }

Definition at line 60 of file FXLC95000_2.c.

const uint8 const EndDataCmd[] = { 0x02, 0x02, 0x00, 0x01, 0x51 }

Definition at line 58 of file FXLC95000_2.c.

const fxlc95000_Command_t const EndDataSequence[]

Initial value:
=
{
{
.offset = 0,
.nByteWrite = sizeof(EndDataCmd),
.pWriteBuffer = (uint8* const)&EndDataCmd
}
}
uint8
unsigned char uint8
Definition: isf_types.h:76
EndDataCmd
const uint8 const EndDataCmd[]
Definition: FXLC95000_2.c:58

Definition at line 106 of file FXLC95000_2.c.

const uint8 const EraseMainFlashArray[] = { 0x12, 0xC5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF }

Definition at line 62 of file FXLC95000_2.c.

const fxlc95000_Command_t const FlashPostprocessSequence[]

Initial value:
=
{
{
.offset = 0,
.nByteWrite = sizeof(ProtectFlash),
.pWriteBuffer = (uint8* const)&ProtectFlash
}
}
uint8
unsigned char uint8
Definition: isf_types.h:76
ProtectFlash
const uint8 const ProtectFlash[]
Definition: FXLC95000_2.c:63

Definition at line 148 of file FXLC95000_2.c.

const fxlc95000_Command_t const FlashPreprocessSequence[]

Initial value:
=
{
{
.offset = 0,
.nByteWrite = sizeof(UnprotectFlash),
.pWriteBuffer = (uint8* const)&UnprotectFlash
},
{
.offset = 0,
.nByteWrite = sizeof(EraseMainFlashArray),
.pWriteBuffer = (uint8* const)&EraseMainFlashArray
}
}
uint8
unsigned char uint8
Definition: isf_types.h:76
UnprotectFlash
const uint8 const UnprotectFlash[]
Definition: FXLC95000_2.c:61
EraseMainFlashArray
const uint8 const EraseMainFlashArray[]
Definition: FXLC95000_2.c:62

Definition at line 134 of file FXLC95000_2.c.

spi_master_slaveInfo_t fsl_spi_sensor_type_FXLC95000_2

Initial value:
= {
.slaveinit = (fnslaveinit_t)&fsl_95000_spi_slave_init,
.writepreProcess = (fnwritepreProcessing_t)fsl_95000_spi_slave_write_preprocess,
.writepostProcess = (fnwritepostProcossing_t)fsl_95000_spi_slave_write_postprocess,
.readpreProcess = (fnreadpreProcessing_t)fsl_95000_spi_slave_read_preprocess,
.readpostProcess = (fnreadpostProcossing_t)fsl_95000_spi_slave_read_postprocess
}
fsl_95000_spi_slave_read_preprocess
isf_status_t fsl_95000_spi_slave_read_preprocess(void *pCmdOut, uint32 offset, uint32 size)
Definition: FXLC95000_2.c:294
fnwritepreProcessing_t
isf_status_t(* fnwritepreProcessing_t)(void *cmdOut, uint32 offset, uint32 size, void *writebuffer)
Definition: isf_spi_master_types.h:45
fnwritepostProcossing_t
isf_status_t(* fnwritepostProcossing_t)(void *cmd)
Definition: isf_spi_master_types.h:46
fsl_95000_spi_slave_read_postprocess
isf_status_t fsl_95000_spi_slave_read_postprocess(void *pCmdOut, void *pDataOut)
Definition: FXLC95000_2.c:315
fnreadpreProcessing_t
isf_status_t(* fnreadpreProcessing_t)(void *cmdout, uint32 offset, uint32 size)
Definition: isf_spi_master_types.h:47
fsl_95000_spi_slave_init
isf_status_t fsl_95000_spi_slave_init(void)
Definition: FXLC95000_2.c:244
fnreadpostProcossing_t
isf_status_t(* fnreadpostProcossing_t)(void *cmd, void *dataOut)
Definition: isf_spi_master_types.h:48
fsl_95000_spi_slave_write_preprocess
isf_status_t fsl_95000_spi_slave_write_preprocess(void *pCmdOut, uint32 offset, uint32 size, void *pWritebuffer)
Definition: FXLC95000_2.c:262
fnslaveinit_t
isf_status_t(* fnslaveinit_t)(void)
Definition: isf_spi_master_types.h:44
fsl_95000_spi_slave_write_postprocess
isf_status_t fsl_95000_spi_slave_write_postprocess(void *pCmdOut)
Definition: FXLC95000_2.c:286

Definition at line 206 of file FXLC95000_2.c.

const isf_dsa_Adapter_t FXLC95000_2_Adapter

This allows access to the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

Definition at line 188 of file FXLC95000_2.c.

const isf_dsa_Adapter_t FXLC95000_2_Adapter

Initial value:
=
{
.devInfo.pSupportedSensorTypes = fxlc95000_SupportedSensorTypes,
.devInfo.pSupportedSensorDataTypes = fxlc95000_SupportedDataTypes,
.devInfo.nNativeDataSetSize = sizeof(fxlc95000_DataBuffer_t),
.control.Initialize = &fsl_fxlc95000_Initialize,
.control.ValidateSettings = &fsl_fxlc95000_ValidateSettings,
.control.Configure = &fsl_fxlc95000_Configure,
.control.StartData = &fsl_fxlc95000_StartData,
.control.EndData = &fsl_fxlc95000_EndData,
.control.Calibrate = &fsl_fxlc95000_Calibrate,
.control.Shutdown = &fsl_fxlc95000_Shutdown,
.control.Flash = &fsl_fxlc95000_Flash,
.control.Convert = &fsl_fxlc95000_Convert
}
fsl_fxlc95000_Calibrate
isf_dsa_status_t fsl_fxlc95000_Calibrate(isf_SensorHandle_t *pSensorHandle, void *pCalData)
Definition: fsl_fxlc95000_i2cspi_pedo.c:376
fsl_fxlc95000_Flash
isf_dsa_status_t fsl_fxlc95000_Flash(isf_SensorHandle_t *pSensorHandle, void *pFlashData, uint8 numBytes)
Definition: fsl_fxlc95000_i2cspi_pedo.c:530
fxlc95000_SupportedDataTypes
isf_SensorDataTypes_t fxlc95000_SupportedDataTypes[]
Definition: fsl_fxlc95000_i2cspi_pedo.c:28
fxlc95000_DataBuffer_t
This structure defines the dummy DSA data buffer format.
Definition: fsl_fxlc95000_i2cspi_pedo.h:28
fsl_fxlc95000_Convert
isf_dsa_status_t fsl_fxlc95000_Convert(volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32 *numBytes)
This function converts the raw sample data to the desired output type.
Definition: fsl_fxlc95000_i2cspi_pedo.c:652
fsl_fxlc95000_Configure
isf_dsa_status_t fsl_fxlc95000_Configure(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
Definition: fsl_fxlc95000_i2cspi_pedo.c:166
fsl_fxlc95000_EndData
isf_dsa_status_t fsl_fxlc95000_EndData(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_fxlc95000_i2cspi_pedo.c:315
fxlc95000_SupportedSensorTypes
isf_SensorTypes_t fxlc95000_SupportedSensorTypes[]
Supported sensor and data types.
Definition: fsl_fxlc95000_i2cspi_pedo.c:27
fsl_fxlc95000_ValidateSettings
isf_dsa_status_t fsl_fxlc95000_ValidateSettings(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSubSettings)
Definition: fsl_fxlc95000_i2cspi_pedo.c:133
fsl_fxlc95000_StartData
isf_dsa_status_t fsl_fxlc95000_StartData(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_fxlc95000_i2cspi_pedo.c:256
fsl_fxlc95000_Initialize
isf_dsa_status_t fsl_fxlc95000_Initialize(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_fxlc95000_i2cspi_pedo.c:56
fsl_fxlc95000_Shutdown
isf_dsa_status_t fsl_fxlc95000_Shutdown(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_fxlc95000_i2cspi_pedo.c:396

This creates the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

Definition at line 188 of file FXLC95000_2.c.

uint8 FXLC95000_2_ConfigRegisterBuffer[FXLC95000_2_CONFIG_REGISTER_SIZE]

Definition at line 50 of file FXLC95000_2.c.

const spi_master_CommSpecificInfo_t FXLC95000_2_DeviceInfo

This allows access to the sensor communications specific configuration.

Definition at line 214 of file FXLC95000_2.c.

const spi_master_CommSpecificInfo_t FXLC95000_2_DeviceInfo

Initial value:
=
{
.busConfig =
{
.timeout = 1000U,
.device =
{
.bitsPerSec = 500000U,
.dataBusConfig.bitsPerFrame = 8U,
.dataBusConfig.clkPolarity = kDspiClockPolarity_ActiveHigh,
.dataBusConfig.clkPhase = kDspiClockPhase_FirstEdge,
.dataBusConfig.direction = kDspiMsbFirst,
},
.userConfig =
{
.whichCtar = kDspiCtar0,
.isSckContinuous = false,
.isChipSelectContinuous = false,
.whichPcs = kDspiPcs0,
.pcsPolarity = kDspiPcs_ActiveHigh,
},
},
.pSlaveInfo = &fsl_spi_sensor_type_FXLC95000_2
}
fsl_spi_sensor_type_FXLC95000_2
spi_master_slaveInfo_t fsl_spi_sensor_type_FXLC95000_2
Definition: FXLC95000_2.c:206

This allows access to the sensor communications specific configuration.

Definition at line 214 of file FXLC95000_2.c.

fxlc95000_Sensor_Specific_Settings_t FXLC95000_2_Sensor_Specific_Config

This allows access to the sensor specific configuration for the target sensor.

Definition at line 157 of file FXLC95000_2.c.

fxlc95000_Sensor_Specific_Settings_t FXLC95000_2_Sensor_Specific_Config

Initial value:
=
{
.sampleDataOffset = FXLC95000_2_SAMPLE_OFFSET,
.sampleDataSize = FXLC95000_2_SAMPLE_SIZE,
.configRegisterReadOffset = FXLC95000_2_CONFIG_REGISTER_READ_OFFSET,
.configRegisterReadSize = FXLC95000_2_CONFIG_REGISTER_SIZE,
.engFloatConversionFactor = FXLC95000_2_ACC_FLOAT_CONVERSION_FACTOR,
.engFixedTotalWidth = 32,
.engFixedIntegerWidth = 16,
.engFixedSignBit = 1,
.resolution = FXLC95000_2_ACC_ACCEL_RESOLUTION_16_BIT,
.range = FXLC95000_2_ACC_ACCEL_RANGE_2G,
.mode = FXLC95000_2_ACC_MODE_ACCEL_ONLY,
.writeConfigRegisterPreamble = { .numCommands=sizeof(WriteConfigPreambleSequence)/sizeof(fxlc95000_Command_t),.commands=WriteConfigPreambleSequence},
.readConfigCommands = { .numCommands=sizeof(ReadConfigRegistersSequence)/sizeof(fxlc95000_Command_t),.commands=ReadConfigRegistersSequence},
.initializeCommands = { .numCommands=sizeof(InitializeSequence)/sizeof(fxlc95000_Command_t),.commands=InitializeSequence},
.validateSettingsCommands = { .numCommands=0, .commands=NULL},
.configureCommands = { .numCommands=sizeof(ConfigureSequence)/sizeof(fxlc95000_Command_t), .commands=ConfigureSequence},
.startDataCommands = { .numCommands=sizeof(StartDataSequence)/sizeof(fxlc95000_Command_t), .commands=StartDataSequence},
.endDataCommands = { .numCommands=sizeof(EndDataSequence)/sizeof(fxlc95000_Command_t), .commands=EndDataSequence},
.calibrateCommands = { .numCommands=0, .commands=NULL},
.shutdownCommands = { .numCommands=sizeof(ShutdownSequence)/sizeof(fxlc95000_Command_t), .commands=ShutdownSequence},
.getDataCommands = { .numCommands=0, .commands=NULL},
.flashPreprocessCommands = { .numCommands=sizeof(FlashPreprocessSequence)/sizeof(fxlc95000_Command_t), .commands=FlashPreprocessSequence},
.flashPostprocessCommands = { .numCommands=sizeof(FlashPostprocessSequence)/sizeof(fxlc95000_Command_t), .commands=FlashPostprocessSequence}
}
StartDataSequence
const fxlc95000_Command_t const StartDataSequence[]
Definition: FXLC95000_2.c:97
ReadConfigRegistersSequence
const fxlc95000_Command_t const ReadConfigRegistersSequence[]
Definition: FXLC95000_2.c:74
EndDataSequence
const fxlc95000_Command_t const EndDataSequence[]
Definition: FXLC95000_2.c:106
FlashPostprocessSequence
const fxlc95000_Command_t const FlashPostprocessSequence[]
Definition: FXLC95000_2.c:148
ShutdownSequence
const fxlc95000_Command_t const ShutdownSequence[]
Definition: FXLC95000_2.c:116
FXLC95000_2_CONFIG_REGISTER_SIZE
#define FXLC95000_2_CONFIG_REGISTER_SIZE
Definition: FXLC95000_2.h:62
FXLC95000_2_CONFIG_REGISTER_READ_OFFSET
#define FXLC95000_2_CONFIG_REGISTER_READ_OFFSET
Definition: FXLC95000_2.h:61
WriteConfigPreambleSequence
const fxlc95000_Command_t const WriteConfigPreambleSequence[]
Definition: FXLC95000_2.c:125
ConfigureSequence
const fxlc95000_Command_t const ConfigureSequence[]
Definition: FXLC95000_2.c:83
fxlc95000_Command_t
Definition: fxlc95000.h:50
InitializeSequence
const fxlc95000_Command_t const InitializeSequence[]
Definition: FXLC95000_2.c:65
FlashPreprocessSequence
const fxlc95000_Command_t const FlashPreprocessSequence[]
Definition: FXLC95000_2.c:134
FXLC95000_2_ACC_ACCEL_RANGE_2G
#define FXLC95000_2_ACC_ACCEL_RANGE_2G
Definition: FXLC95000_2.h:65
FXLC95000_2_SAMPLE_OFFSET
#define FXLC95000_2_SAMPLE_OFFSET
Definition: FXLC95000_2.h:58
FXLC95000_2_ACC_MODE_ACCEL_ONLY
#define FXLC95000_2_ACC_MODE_ACCEL_ONLY
Definition: FXLC95000_2.h:68
FXLC95000_2_ACC_FLOAT_CONVERSION_FACTOR
#define FXLC95000_2_ACC_FLOAT_CONVERSION_FACTOR
Definition: FXLC95000_2.h:64
FXLC95000_2_ACC_ACCEL_RESOLUTION_16_BIT
#define FXLC95000_2_ACC_ACCEL_RESOLUTION_16_BIT
Definition: FXLC95000_2.h:69
FXLC95000_2_SAMPLE_SIZE
#define FXLC95000_2_SAMPLE_SIZE
Definition: FXLC95000_2.h:59

This allows access to the sensor specific configuration for the target sensor.

Definition at line 157 of file FXLC95000_2.c.

const fxlc95000_Command_t const InitializeSequence[]

Initial value:
=
{
{
.offset = 0,
.nByteWrite = sizeof(BootToFlash),
.pWriteBuffer = (uint8* const)&BootToFlash
}
}
uint8
unsigned char uint8
Definition: isf_types.h:76
BootToFlash
const uint8 const BootToFlash[]
Definition: FXLC95000_2.c:52

Definition at line 65 of file FXLC95000_2.c.

const uint8 const ProtectFlash[] = { 0x38, 0x00 }

Definition at line 63 of file FXLC95000_2.c.

const uint8 const QuickReadInterruptDisable[] = { 0x01, 0x02, 0x39, 0x01, 0x02 }

Definition at line 56 of file FXLC95000_2.c.

const uint8 const QuickReadInterruptEnable[] = { 0x01, 0x02, 0x39, 0x01, 0x03 }

Definition at line 55 of file FXLC95000_2.c.

const uint8 const ReadConfigRegistersCmd[] = { 0x02, 0x01, FXLC95000_2_CONFIG_REGISTER_CMD_OFFSET, FXLC95000_2_CONFIG_REGISTER_SIZE }

Definition at line 54 of file FXLC95000_2.c.

const fxlc95000_Command_t const ReadConfigRegistersSequence[]

Initial value:
=
{
{
.offset = 0,
.nByteWrite = sizeof(ReadConfigRegistersCmd),
.pWriteBuffer = (uint8* const)&ReadConfigRegistersCmd
}
}
uint8
unsigned char uint8
Definition: isf_types.h:76
ReadConfigRegistersCmd
const uint8 const ReadConfigRegistersCmd[]
Definition: FXLC95000_2.c:54

Definition at line 74 of file FXLC95000_2.c.

const uint8 const ShutdownCmd[] = { 0x02, 0x02, 0x00, 0x01, 0x50 }

Definition at line 59 of file FXLC95000_2.c.

const fxlc95000_Command_t const ShutdownSequence[]

Initial value:
=
{
{
.offset = 0,
.nByteWrite = sizeof(ShutdownCmd),
.pWriteBuffer = (uint8* const)&ShutdownCmd
}
}
uint8
unsigned char uint8
Definition: isf_types.h:76
ShutdownCmd
const uint8 const ShutdownCmd[]
Definition: FXLC95000_2.c:59

Definition at line 116 of file FXLC95000_2.c.

const uint8 const StartDataCmd[] = { 0x02, 0x02, 0x00, 0x01, 0x52 }

Definition at line 57 of file FXLC95000_2.c.

const fxlc95000_Command_t const StartDataSequence[]

Initial value:
=
{
{
.offset = 0,
.nByteWrite = sizeof(StartDataCmd),
.pWriteBuffer = (uint8* const)&StartDataCmd
}
}
uint8
unsigned char uint8
Definition: isf_types.h:76
StartDataCmd
const uint8 const StartDataCmd[]
Definition: FXLC95000_2.c:57

Definition at line 97 of file FXLC95000_2.c.

const uint8 const UnprotectFlash[] = { 0x40, 0x00 }

Definition at line 61 of file FXLC95000_2.c.

const fxlc95000_Command_t const WriteConfigPreambleSequence[]

Initial value:
=
{
{
.offset = 0,
.nByteWrite = sizeof(ConfigWritePreamble),
.pWriteBuffer = (uint8* const)&ConfigWritePreamble
}
}
uint8
unsigned char uint8
Definition: isf_types.h:76
ConfigWritePreamble
const uint8 const ConfigWritePreamble[]
Definition: FXLC95000_2.c:60

Definition at line 125 of file FXLC95000_2.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.